{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'flux/detail.html.twig' %}
{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}
{% import ":_includes:macros.html.twig" as appMacros %}

{% block subcontent %}
    <table class="table table-responsive table-hover m-0">
        <thead>
        <tr>
            <th>{{ appMacros.help_toolstip('help.download_datetime') }} {{ "label.download_datetime" | trans }}</th>
            <th>{{ appMacros.help_toolstip('help.download_method') }} {{ "label.download_method" | trans }}</th>
            <th>{{ appMacros.help_toolstip('help.download_app') }} {{ "label.download_app" | trans }}</th>
        </tr>
        </thead>
        <tbody>
        {% for item in items %}
            <tr>
                <td>{{ (item.createdAt | moment).calendar() | capitalize }}</td>
                <td>{{ appMacros.download_type(item.type) }}
                <td>
                    <span>
                        {% if item.application is not null %}
                            {{ item.application.name }}
                        {% else %}
                            --
                        {% endif %}
                    </span>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    {% if items | length == 0 %}
        <div class="blankslate blankslate-spacious">
            <h3>{{ "text.downloads_no_result" | trans }}</h3>
            <h3></h3>
        </div>
    {% endif %}

    {% if list.totalItemCount > page_size %}
        <div class="box-footer">
            {{ macros.display_list_position(list, page_size) }}
            {{ knp_pagination_render(list, null, [], {class: "pagination-sm no-margin pull-right"}) }}
        </div>
    {% endif %}

{% endblock %}